Name:           python-omemo
Version:        0.11.0
Release:        1%{?dist}
Summary:        Python implementation of the OMEMO Multi-End Message and Object Encryption protocol

License:        MIT
URL:            https://github.com/Syndace/%{name}
Source0:        https://github.com/Syndace/%{name}/archive/v%{version}-beta.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-cryptography
BuildRequires:  python3-x3dh
# For tests
BuildRequires:  python3-pynacl

%description
This python library offers an open implementation of the OMEMO
Multi-End Message and Object Encryption protocol.

OMEMO is an extension of the XMPP protocol defined as XEP-0384. It
provides multi-end to multi-end encryption, allowing messages to be
synchronized securely across multiple clients, even if some of them
are offline.



%package     -n python3-omemo
Summary:        Python implementation of the OMEMO Multi-End Message and Object Encryption protocol

%description -n  python3-omemo
This python library offers an open implementation of the OMEMO
Multi-End Message and Object Encryption protocol.

OMEMO is an extension of the XMPP protocol defined as XEP-0384. It
provides multi-end to multi-end encryption, allowing messages to be
synchronized securely across multiple clients, even if some of them
are offline.



%prep
%autosetup -n %{name}-%{version}-beta


%build
%py3_build


%install
%py3_install


%check
%{__python3} setup.py test



%files -n python3-omemo
%license LICENSE
%doc README.md
# For noarch packages: sitelib
%{python3_sitelib}/omemo/
%{python3_sitelib}/OMEMO-0.11.0-py3.9.egg-info/



%changelog
* Mon Feb 08 2021 Matthieu Saulnier <fantom@fedoraproject.org> - 0.11.0-1
- Initial package
